Name:          snapd-glib
Version:       1.64
Release:       1mamba
Summary:       A library to allow GLib and Qt based applications access to snapd
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://snapcraft.io/
Source:        https://github.com/snapcore/snapd-glib.git/%{version}/snapd-glib-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libjson-glib-devel
BuildRequires: libsoup-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtdeclarative-devel
## AUTOBUILDREQ-END

%description
snapd-glib is a library to allow GLib based applications access to snapd, the daemon that controls Snaps. A snapd-qt library is provided that wraps snapd-glib for Qt based applications.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%package -n libsnapd-qt
Group:         System/Libraries
Summary:       Qt shared libraries for %{name}

%description -n libsnapd-qt
This package contains shared libraries for %{name}.

%package -n libsnapd-qt-devel
Group:         Development/Libraries
Summary:       Development files for libsnapd-qt
Requires:      libsnapd-qt = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libsnapd-glib-devel = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n libsnapd-qt-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%meson
%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%post -n libsnapd-qt -p /sbin/ldconfig
%postun -n libsnapd-qt -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libsnapd-glib-2.so.*
%{_libdir}/girepository-1.0/Snapd-2.typelib
%doc COPYING.LGPL2 COPYING.LGPL3

%files -n libsnapd-qt
%defattr(-,root,root)
%{_libdir}/libsnapd-qt-2.so.*
%{_libdir}/qt5/qml/Snapd2/libSnapd2.so
%{_libdir}/qt5/qml/Snapd2/qmldir

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/snapd-glib-2
%dir %{_includedir}/snapd-glib-2/snapd-glib
%{_includedir}/snapd-glib-2/snapd-glib/*
%{_libdir}/libsnapd-glib-2.so
%{_libexecdir}/installed-tests/snapd-glib-2/test-glib
%{_libexecdir}/installed-tests/snapd-glib-2/test-markdown-glib
%{_datadir}/gir-1.0/Snapd-2.gir
%{_datadir}/installed-tests/snapd-glib-2/test-glib.test
%{_datadir}/installed-tests/snapd-glib-2/test-markdown-glib.test
%{_datadir}/vala/vapi/snapd-glib-2.deps
%{_datadir}/vala/vapi/snapd-glib-2.vapi
%{_libdir}/cmake/Snapd2/SnapdConfig.cmake
%{_libdir}/cmake/Snapd2/SnapdConfigVersion.cmake
%{_libdir}/pkgconfig/snapd-glib-2.pc
%dir %{_datadir}/gtk-doc/html/snapd-glib
%{_datadir}/gtk-doc/html/snapd-glib/*
%doc NEWS README.md

%files -n libsnapd-qt-devel
%defattr(-,root,root)
%dir %{_includedir}/snapd-qt-2
%dir %{_includedir}/snapd-qt-2/Snapd
%{_includedir}/snapd-qt-2/Snapd/*
%{_libdir}/libsnapd-qt-2.so
%{_libexecdir}/installed-tests/snapd-glib-2/test-markdown-qt
%{_libexecdir}/installed-tests/snapd-glib-2/test-qt
%{_datadir}/installed-tests/snapd-glib-2/test-markdown-qt.test
%{_datadir}/installed-tests/snapd-glib-2/test-qt.test
%{_libdir}/pkgconfig/snapd-qt-2.pc

%changelog
* Thu Jul 13 2023 Automatic Build System <autodist@mambasoft.it> 1.64-1mamba
- automatic version update by autodist

* Sun Feb 19 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.63-1mamba
- package created using the webbuild interface
